## golang-github-fsouza-go-dockerclient 0.0%2Bgit20160316

=== Makefile ===
.PHONY: \
	all \
	vendor \
	lint \
	vet \
	fmt \
	fmtcheck \
	pretest \
	test \
	integration \
	cov \
	clean

SRCS = $(shell git ls-files '*.go' | grep -v '^external/')
PKGS = ./. ./testing

all: test

vendor:
	@ go get -v github.com/mjibson/party
	party -d external -c -u

lint:
	@ go get -v github.com/golang/lint/golint
	$(foreach file,$(SRCS),golint $(file) || exit;)

vet:
	@-go get -v golang.org/x/tools/cmd/vet
	$(foreach pkg,$(PKGS),go vet $(pkg);)

fmt:
	gofmt -s -w $(SRCS)

fmtcheck:
	@ export output=$$(gofmt -s -d $(SRCS)); \
		[ -n "$${output}" ] && echo "$${output}" && export status=1; \
		exit $${status:-0}

prepare_docker:
	sudo stop docker || true
	sudo rm -rf /var/lib/docker
	sudo rm -f `which docker`
	sudo apt-key adv --keyserver hkp://p80.pool.sks-keyservers.net:80 --recv-keys 58118E89F3A912897C070ADBF76221572C52609D
	echo "deb https://apt.dockerproject.org/repo ubuntu-trusty main" | sudo tee /etc/apt/sources.list.d/docker.list
	sudo apt-get update
	sudo apt-get install docker-engine=$(DOCKER_VERSION)-0~$(shell lsb_release -cs) -y --force-yes -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold"

pretest: lint vet fmtcheck

test: pretest
	$(foreach pkg,$(PKGS),go test $(pkg) || exit;)

integration:
	go test -tags docker_integration -run TestIntegration -v

cov:
	@ go get -v github.com/axw/gocov/gocov
	@ go get golang.org/x/tools/cmd/cover
	gocov test | gocov report

clean:
	$(foreach pkg,$(PKGS),go clean $(pkg) || exit;)

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (0.0+git20160316-2) unstable; urgency=medium

  * Dropped unused dependency on "golang-docker-dev"; added "README.source".
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 12 Jun 2016 09:17:49 +1000

golang-github-fsouza-go-dockerclient (0.0+git20160316-1) unstable; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 3.9.7.
  * (Build-)Depends:
    + golang-github-docker-go-units-dev
    + golang-golang-x-net-dev
    + golang-golang-x-sys-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 18 Mar 2016 19:46:57 +1100

golang-github-fsouza-go-dockerclient (0.0+git20150905-1) unstable; urgency=medium

  * Initial release (Closes: #798342).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 08 Sep 2015 07:20:24 +1000

=== debian/control ===
Source: golang-github-fsouza-go-dockerclient
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
    dh-golang,
    golang-go,
    golang-logrus-dev,
#    golang-docker-dev | golang-github-docker-docker-dev,
    golang-github-docker-go-units-dev,
#    golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
    golang-github-opencontainers-runc-dev,
    golang-github-gorilla-mux-dev,
    golang-github-gorilla-context-dev | golang-context-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sys-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/fsouza/go-dockerclient
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-fsouza-go-dockerclient.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-fsouza-go-dockerclient.git

Package: golang-github-fsouza-go-dockerclient-dev
Architecture: all
Depends: ${misc:Depends},
    golang-go,
    golang-logrus-dev,
#    golang-docker-dev | golang-github-docker-docker-dev,
    golang-github-docker-go-units-dev,
#    golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
    golang-github-opencontainers-runc-dev,
    golang-github-gorilla-mux-dev,
    golang-github-gorilla-context-dev | golang-context-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sys-dev,
Built-Using: ${misc:Built-Using}
Description: Docker client library in Go
 Client for the Docker remote API with support for the extensions in the
 Swarm API.
 .
 This package also provides support for docker's network API, which is a
 simple passthrough to the libnetwork remote API.  Note that docker's
 network API is only available in docker 1.8 and above, and only enabled in
 docker if DOCKER_EXPERIMENTAL is defined during the docker build process.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/fsouza/go-dockerclient
#export DH_GOLANG_EXCLUDES :=

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

override_dh_auto_configure:
	dh_auto_configure
	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|\s*^Files:|\s*^Comment:)}sm;' debian/copyright \
        | while read D; do D="$${D##external/}" ; printf "Removing third party bundle: $$D\n" ;\
            perl -pi -E "s{$(DH_GOPKG)/external/$$D}{$$D}msg;" `find _build/src -type f -name "*.go"` ;\
        done

override_dh_auto_test:
	-dh_auto_test

## http://wiki.debian.org/onlyjob/get-orig-source
.PHONY: get-orig-source
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog -SVersion | perl -ne 'print $$1 if m{^(?:\d+:)?(\d.*)(?:\-\d+.*)};')

get-orig-source: $(PKG)_$(VER).orig.tar.xz $(info I: $(PKG)_$(VER))
	@

UURL = https://$(DH_GOPKG).git
UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" $(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
$(PKG)_$(VER).orig.tar.xz: $(info I: UDATE=$(UDATE))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Downloading..."
	git clone --recursive --single-branch --branch master $(UURL) $(PKG)-$(VER) \
        || $(RM) -r $(PKG)-$(VER)
	cd $(PKG)-$(VER) \
        && git checkout v$(VER) || git checkout $$(git log -n1 --format=%h --before="$(UDATE)") \
        && [ -s ChangeLog ] || ( echo "# Generating ChangeLog..." \
           ; git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%n" --date=short > ChangeLog \
           ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
        && echo "# Setting times..." \
        && git ls-tree -r --name-only HEAD | while read F ; do touch --no-dereference -d "$$(git log -1 --format="%ai" -- "$$F")" "$$F"; done \
        && echo "# Cleaning-up..." \
        && $(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' ../debian/copyright` \
        && $(RM) -r .git .git*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "$(PKG)-$(VER)"

## golang-github-fsouza-go-dockerclient 0.0+git20150905

=== debian/control ===
Source: golang-github-fsouza-go-dockerclient
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
    dh-golang,
    golang-go,
    golang-logrus-dev,
    golang-docker-dev | golang-github-docker-docker-dev,
    golang-github-opencontainers-runc-dev,
    golang-github-gorilla-mux-dev,
    golang-github-gorilla-context-dev | golang-context-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev
Standards-Version: 3.9.6
Homepage: https://github.com/fsouza/go-dockerclient
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-fsouza-go-dockerclient.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-fsouza-go-dockerclient.git

Package: golang-github-fsouza-go-dockerclient-dev
Architecture: all
Depends: ${misc:Depends},
    golang-go,
    golang-logrus-dev,
    golang-docker-dev | golang-github-docker-docker-dev,
    golang-github-opencontainers-runc-dev,
    golang-github-gorilla-mux-dev,
    golang-github-gorilla-context-dev | golang-context-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev
Built-Using: ${misc:Built-Using}
Description: Docker client library in Go
 Client for the Docker remote API with support for the extensions in the
 Swarm API.
 .
 This package also provides support for docker's network API, which is a
 simple passthrough to the libnetwork remote API.  Note that docker's
 network API is only available in docker 1.8 and above, and only enabled in
 docker if DOCKER_EXPERIMENTAL is defined during the docker build process.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|\s*^Files:|\s*^Comment:)}sm;' debian/copyright \
+	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright \
         | while read D; do D="$${D##external/}" ; printf "Removing third party bundle: $$D\n" ;\
             perl -pi -E "s{$(DH_GOPKG)/external/$$D}{$$D}msg;" `find _build/src -type f -name "*.go"` ;\
         done

=== debian/watch ===
# uscan(1) configuration file.
version=3

 https://github.com/fsouza/go-dockerclient/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-fsouza-go-dockerclient 0.0+git20160316

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,15 @@
     golang-go,
     golang-logrus-dev,
     golang-docker-dev | golang-github-docker-docker-dev,
+    golang-github-docker-go-units-dev,
+#    golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
     golang-github-opencontainers-runc-dev,
     golang-github-gorilla-mux-dev,
     golang-github-gorilla-context-dev | golang-context-dev,
-    golang-github-stretchr-testify-dev | golang-testify-dev
-Standards-Version: 3.9.6
+    golang-github-stretchr-testify-dev | golang-testify-dev,
+    golang-golang-x-net-dev,
+    golang-golang-x-sys-dev,
+Standards-Version: 3.9.7
 Homepage: https://github.com/fsouza/go-dockerclient
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-fsouza-go-dockerclient.git
 Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-fsouza-go-dockerclient.git
@@ -23,10 +27,14 @@
     golang-go,
     golang-logrus-dev,
     golang-docker-dev | golang-github-docker-docker-dev,
+    golang-github-docker-go-units-dev,
+#    golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
     golang-github-opencontainers-runc-dev,
     golang-github-gorilla-mux-dev,
     golang-github-gorilla-context-dev | golang-context-dev,
-    golang-github-stretchr-testify-dev | golang-testify-dev
+    golang-github-stretchr-testify-dev | golang-testify-dev,
+    golang-golang-x-net-dev,
+    golang-golang-x-sys-dev,
 Built-Using: ${misc:Built-Using}
 Description: Docker client library in Go
  Client for the Docker remote API with support for the extensions in the

## golang-github-fsouza-go-dockerclient 0.0+git20160622

=== Makefile ===
.PHONY: \
	all \
	lint \
	vet \
	fmt \
	fmtcheck \
	pretest \
	test \
	integration \
	clean

all: test

lint:
	@ go get -v github.com/golang/lint/golint
	@ export output="$$(golint . | grep -v 'type name will be used as docker.DockerInfo')"; \
		[ -n "$${output}" ] && echo "$${output}" && export status=1; \
		exit $${status:-0}

vet:
	go vet ./...

fmt:
	gofmt -s -w .

fmtcheck:
	@ export output="$$(gofmt -s -d .)"; \
		[ -n "$${output}" ] && echo "$${output}" && export status=1; \
		exit $${status:-0}
testdeps:
	go get -d -t ./...

pretest: testdeps lint vet fmtcheck

gotest:
	go test $(GO_TEST_FLAGS) ./...

test: pretest gotest

integration:
	go test -tags docker_integration -run TestIntegration -v

clean:
	go clean ./...

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (0.0+git20160622-3ubuntu0.1) bionic; urgency=medium

  * Fix FTBFS due to new docker version (LP: #1923108).
    - d/control: b-d on golang-1.13-go instead of golang-any. The docker
      library does not support Go 1.10 which is the default in Bionic.
    - d/rules: build with Go 1.13.
      + Add Go 1.13 to the $PATH.
      + Set $GOCACHE with a temporary directory.
      + Set $GO111MODULE to off.
    - d/patches: backport some upstream patches to support Go 1.13.
      + update-network.go.patch
      + network-test-fix-test.patch

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 08 Apr 2021 15:34:41 -0300

golang-github-fsouza-go-dockerclient (0.0+git20160622-3) unstable; urgency=medium

  * Team upload.
  * Set XS-Go-Import-Path
  * fix FTBFS by applying upstream certificate update (Closes: #880293)

 -- Michael Stapelberg <stapelberg@debian.org>  Thu, 15 Feb 2018 08:34:41 +0100

golang-github-fsouza-go-dockerclient (0.0+git20160622-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Remove Built-Using from arch:all -dev package

  [ Konstantinos Margaritis ]
  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Wed, 09 Aug 2017 15:47:15 +0300

golang-github-fsouza-go-dockerclient (0.0+git20160622-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use test data and stop ignoring test failures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 15 Jul 2016 20:06:10 +1000

=== debian/control ===
Source: golang-github-fsouza-go-dockerclient
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9),
    dh-golang,
    golang-1.13-go,
    golang-logrus-dev,
    golang-github-docker-docker-dev (>= 1.11.2~),
    golang-github-docker-go-units-dev,
    golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
    golang-github-opencontainers-runc-dev,
    golang-github-gorilla-mux-dev,
    golang-github-gorilla-context-dev | golang-context-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sys-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/fsouza/go-dockerclient
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-fsouza-go-dockerclient.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-fsouza-go-dockerclient.git
XS-Go-Import-Path: github.com/fsouza/go-dockerclient

Package: golang-github-fsouza-go-dockerclient-dev
Architecture: all
Depends: ${misc:Depends},
    golang-logrus-dev,
    golang-github-docker-docker-dev (>= 1.11.2~),
    golang-github-docker-go-units-dev,
    golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
    golang-github-opencontainers-runc-dev,
    golang-github-gorilla-mux-dev,
    golang-github-gorilla-context-dev | golang-context-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sys-dev,
Description: Docker client library in Go
 Client for the Docker remote API with support for the extensions in the
 Swarm API.
 .
 This package also provides support for docker's network API, which is a
 simple passthrough to the libnetwork remote API.  Note that docker's
 network API is only available in docker 1.8 and above, and only enabled in
 docker if DOCKER_EXPERIMENTAL is defined during the docker build process.

=== debian/rules ===
--- 
+++ 
@@ -4,25 +4,19 @@
 #export DH_VERBOSE=1
 
 export DH_GOPKG := github.com/fsouza/go-dockerclient
+export DH_GOLANG_INSTALL_EXTRA := testing/data
 #export DH_GOLANG_EXCLUDES :=
+
+# Build with Go 1.13, it FTBFS with Go 1.10 which is the default in Bionic.
+export PATH := /usr/lib/go-1.13/bin:$(PATH)
+# Set GOCACHE to a temp directory, dh-golang sets it to "off" but this is not
+# accepted by Go >= 1.12
+export GOCACHE := $(shell mktemp -d)
+# GO111MODULE needs to be set to "off" to avoid checking modules information online
+export GO111MODULE := off
 
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build
-
-override_dh_clean:
-	dh_clean
-	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
-	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
-
-override_dh_auto_configure:
-	dh_auto_configure
-	perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright \
-        | while read D; do D="$${D##external/}" ; printf "Removing third party bundle: $$D\n" ;\
-            perl -pi -E "s{$(DH_GOPKG)/external/$$D}{$$D}msg;" `find _build/src -type f -name "*.go"` ;\
-        done
-
-override_dh_auto_test:
-	-dh_auto_test
 
 ## http://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source

## golang-github-fsouza-go-dockerclient 1.2.1

=== Makefile ===
.PHONY: \
	all \
	lint \
	vet \
	fmtcheck \
	pretest \
	test \
	integration

all: test

lint:
	@ go get -v golang.org/x/lint/golint
	[ -z "$$(golint . | grep -v 'type name will be used as docker.DockerInfo' | grep -v 'context.Context should be the first' | tee /dev/stderr)" ]

vet:
	go vet ./...

fmtcheck:
	[ -z "$$(gofmt -s -d *.go ./testing | tee /dev/stderr)" ]

testdeps:
	go get -u github.com/golang/dep/cmd/dep
	dep ensure -v

pretest: testdeps lint vet fmtcheck

gotest:
	go test -race ./...

test: pretest gotest

integration:
	go test -tags docker_integration -run TestIntegration -v

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.2.1-2) unstable; urgency=medium

  * New upstream patch to fix failing test (Closes: #907713).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Jan 2019 11:04:02 +1100

golang-github-fsouza-go-dockerclient (1.2.1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream relase.
  * Build-Depends:
    + golang-github-google-go-cmp-dev (>= 0.2.0~)
    = golang-github-docker-docker-dev (>= 17.12.1~)
  * Testsuite: autopkgtest-pkg-go
  * Standards-Version: 4.1.4; Priority: optional.
    rules: removed get-orig-source target.
  * debhelper & compat to version 11

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 Jun 2018 09:42:17 +1000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: golang-github-fsouza-go-dockerclient
 Section: devel
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Priority: optional
+Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
     dh-golang,
-    golang-1.13-go,
+    golang-any,
     golang-logrus-dev,
-    golang-github-docker-docker-dev (>= 1.11.2~),
+    golang-github-docker-docker-dev (>= 17.12.1~),
     golang-github-docker-go-units-dev,
+    golang-github-google-go-cmp-dev (>= 0.2.0~),
     golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
     golang-github-opencontainers-runc-dev,
     golang-github-gorilla-mux-dev,
@@ -17,17 +17,18 @@
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-golang-x-net-dev,
     golang-golang-x-sys-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/fsouza/go-dockerclient
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-fsouza-go-dockerclient.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-fsouza-go-dockerclient.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-fsouza-go-dockerclient
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-fsouza-go-dockerclient.git
 XS-Go-Import-Path: github.com/fsouza/go-dockerclient
+Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-fsouza-go-dockerclient-dev
 Architecture: all
 Depends: ${misc:Depends},
     golang-logrus-dev,
-    golang-github-docker-docker-dev (>= 1.11.2~),
+    golang-github-docker-docker-dev (>= 17.12.1~),
     golang-github-docker-go-units-dev,
     golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
     golang-github-opencontainers-runc-dev,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/fsouza/go-dockerclient
export DH_GOLANG_INSTALL_EXTRA := testing/data
#export DH_GOLANG_EXCLUDES :=

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

## golang-github-fsouza-go-dockerclient 1.4.4

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Sep 2019 10:13:59 +1000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: golang-github-fsouza-go-dockerclient
 Section: devel
 Priority: optional
+Standards-Version: 4.4.0
 Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
     dh-golang,
     golang-any,
     golang-logrus-dev,
     golang-github-docker-docker-dev (>= 17.12.1~),
     golang-github-docker-go-units-dev,
     golang-github-google-go-cmp-dev (>= 0.2.0~),
-    golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
-    golang-github-opencontainers-runc-dev,
+#   golang-github-opencontainers-runc-dev,
     golang-github-gorilla-mux-dev,
     golang-github-gorilla-context-dev | golang-context-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,
     golang-golang-x-net-dev,
     golang-golang-x-sys-dev,
-Standards-Version: 4.1.4
 Homepage: https://github.com/fsouza/go-dockerclient
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-fsouza-go-dockerclient
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-fsouza-go-dockerclient.git
@@ -30,8 +29,7 @@
     golang-logrus-dev,
     golang-github-docker-docker-dev (>= 17.12.1~),
     golang-github-docker-go-units-dev,
-    golang-github-hashicorp-go-cleanhttp-dev (>= 0.0~git20160217~),
-    golang-github-opencontainers-runc-dev,
+#   golang-github-opencontainers-runc-dev,
     golang-github-gorilla-mux-dev,
     golang-github-gorilla-context-dev | golang-context-dev,
     golang-github-stretchr-testify-dev | golang-testify-dev,

## golang-github-fsouza-go-dockerclient 1.6.0

=== Makefile ===
.PHONY: \
	all \
	lint \
	pretest \
	test \
	integration

all: test

lint:
	cd /tmp && GO111MODULE=on go get github.com/golangci/golangci-lint/cmd/golangci-lint@latest
	golangci-lint run

pretest: lint

gotest:
	go test -race -vet all ./...

test: pretest gotest

integration:
	go test -tags docker_integration -run TestIntegration -v

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.6.0-2ubuntu0.20.04.2) focal; urgency=medium

  * Build with Golang 1.18 (LP: #1996909).
    - d/control: b-d on golang-1.18-go instead of golang-1.16-go.
    - d/rules: add Golang 1.18 to $PATH.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 27 Jan 2023 15:10:58 -0300

golang-github-fsouza-go-dockerclient (1.6.0-2ubuntu0.20.04.1) focal; urgency=medium

  * Build with Golang 1.16 (LP: #1960449).
    - d/control: b-d on golang-1.16-go instead of golang-any.
    - d/rules: add Golang 1.16 to $PATH since it is not the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 06 Apr 2022 16:21:37 -0300

golang-github-fsouza-go-dockerclient (1.6.0-2) unstable; urgency=medium

  * (Build-)Depends: removed obsolete alternative dependencies.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 30 Nov 2019 08:38:43 +1100

golang-github-fsouza-go-dockerclient (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.
  * Use non-transitional "logrus" package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Nov 2019 19:36:50 +1100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: golang-github-fsouza-go-dockerclient
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
+Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 12~),
     dh-golang,
-    golang-any,
-    golang-logrus-dev,
+    golang-1.18-go,
     golang-github-docker-docker-dev (>= 17.12.1~),
     golang-github-docker-go-units-dev,
     golang-github-google-go-cmp-dev (>= 0.2.0~),
+    golang-github-gorilla-context-dev,
+    golang-github-gorilla-mux-dev,
 #   golang-github-opencontainers-runc-dev,
-    golang-github-gorilla-mux-dev,
-    golang-github-gorilla-context-dev | golang-context-dev,
-    golang-github-stretchr-testify-dev | golang-testify-dev,
+    golang-github-sirupsen-logrus-dev,
+    golang-github-stretchr-testify-dev,
     golang-golang-x-net-dev,
     golang-golang-x-sys-dev,
 Homepage: https://github.com/fsouza/go-dockerclient
@@ -31,8 +32,8 @@
     golang-github-docker-go-units-dev,
 #   golang-github-opencontainers-runc-dev,
     golang-github-gorilla-mux-dev,
-    golang-github-gorilla-context-dev | golang-context-dev,
-    golang-github-stretchr-testify-dev | golang-testify-dev,
+    golang-github-gorilla-context-dev,
+    golang-github-stretchr-testify-dev,
     golang-golang-x-net-dev,
     golang-golang-x-sys-dev,
 Description: Docker client library in Go

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export DH_GOPKG := github.com/fsouza/go-dockerclient
export DH_GOLANG_INSTALL_EXTRA := testing/data
export DH_GOLANG_EXCLUDES := internal/jsonmessage

# Build with Golang 1.18
export PATH := /usr/lib/go-1.18/bin:$(PATH)

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
dversionmangle=s{\+(dfsg|git)\d*}{},\
 https://github.com/fsouza/go-dockerclient/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz

## golang-github-fsouza-go-dockerclient 1.6.3

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.
  * Depend on non-transitional "logrus-dev" package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 27 Feb 2020 09:50:08 +1100

## golang-github-fsouza-go-dockerclient 1.6.5

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.6.5-1ubuntu1) groovy; urgency=medium

  * d/control: add missing golang-golang-x-crypto-dev build-dependency,
    needed for build-time tests (LP: #1883960)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 17 Jun 2020 18:24:47 -0300

golang-github-fsouza-go-dockerclient (1.6.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries.
  * Set upstream metadata fields.

  [ Dmitry Smirnov ]
  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Jun 2020 20:52:46 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: golang-github-fsouza-go-dockerclient
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
     dh-golang,
-    golang-1.18-go,
+    golang-any,
     golang-github-docker-docker-dev (>= 17.12.1~),
     golang-github-docker-go-units-dev,
     golang-github-google-go-cmp-dev (>= 0.2.0~),
@@ -16,6 +16,7 @@
 #   golang-github-opencontainers-runc-dev,
     golang-github-sirupsen-logrus-dev,
     golang-github-stretchr-testify-dev,
+    golang-golang-x-crypto-dev,
     golang-golang-x-net-dev,
     golang-golang-x-sys-dev,
 Homepage: https://github.com/fsouza/go-dockerclient
@@ -27,12 +28,12 @@
 Package: golang-github-fsouza-go-dockerclient-dev
 Architecture: all
 Depends: ${misc:Depends},
-    golang-logrus-dev,
     golang-github-docker-docker-dev (>= 17.12.1~),
     golang-github-docker-go-units-dev,
+    golang-github-gorilla-context-dev,
+    golang-github-gorilla-mux-dev,
 #   golang-github-opencontainers-runc-dev,
-    golang-github-gorilla-mux-dev,
-    golang-github-gorilla-context-dev,
+    golang-github-sirupsen-logrus-dev,
     golang-github-stretchr-testify-dev,
     golang-golang-x-net-dev,
     golang-golang-x-sys-dev,

## golang-github-fsouza-go-dockerclient 1.6.6

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.6.6-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Add missing golang-golang-x-crypto-dev build-dependency,
      needed for build-time tests.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 12 Feb 2021 22:14:27 -0500

golang-github-fsouza-go-dockerclient (1.6.6-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 30 Nov 2020 16:57:13 -0500

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-fsouza-go-dockerclient.git
 XS-Go-Import-Path: github.com/fsouza/go-dockerclient
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-fsouza-go-dockerclient-dev
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,5 @@
 export DH_GOLANG_INSTALL_EXTRA := testing/data
 export DH_GOLANG_EXCLUDES := internal/jsonmessage
 
-# Build with Golang 1.18
-export PATH := /usr/lib/go-1.18/bin:$(PATH)
-
 %:
 	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

## golang-github-fsouza-go-dockerclient 1.8.1

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.8.1-1) unstable; urgency=medium

  * Team upload
  * Fix url in uscan watch file
  * New upstream version 1.8.1
  * Update Section to golang
  * Update maintainer address to team+pkg-go@tracker.debian.org
  * Adjust Build-Depends for new version (Closes: #982664)
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 02 Jul 2022 02:45:06 +0800

=== debian/control ===
Source: golang-github-fsouza-go-dockerclient
Section: golang
Priority: optional
Standards-Version: 4.6.1
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-docker-docker-dev (>= 17.12.1~),
               golang-github-docker-go-units-dev,
               golang-github-google-go-cmp-dev (>= 0.2.0~),
               golang-github-gorilla-mux-dev,
               golang-golang-x-term-dev,
Homepage: https://github.com/fsouza/go-dockerclient
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-fsouza-go-dockerclient
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-fsouza-go-dockerclient.git
XS-Go-Import-Path: github.com/fsouza/go-dockerclient
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-fsouza-go-dockerclient-dev
Architecture: all
Depends: golang-github-docker-docker-dev (>= 17.12.1~),
         golang-github-docker-go-units-dev,
         golang-github-gorilla-mux-dev,
         ${misc:Depends},
Description: Docker client library in Go
 Client for the Docker remote API with support for the extensions in the
 Swarm API.
 .
 This package also provides support for docker's network API, which is a
 simple passthrough to the libnetwork remote API.  Note that docker's
 network API is only available in docker 1.8 and above, and only enabled in
 docker if DOCKER_EXPERIMENTAL is defined during the docker build process.

## golang-github-fsouza-go-dockerclient 1.11.0

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.11.0-2) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * Bump debhelper-compat to v13 in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 08:49:15 +0000

golang-github-fsouza-go-dockerclient (1.11.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.11.0
  * Build against docker version 26 (currently in experimental)
    - upstream targets docker 24, docker 26 moved the AuthConfig type,
      added distro-patch to allow compilation
  * Bump standards version

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Jul 2024 19:48:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: golang-github-fsouza-go-dockerclient
 Section: golang
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-docker-docker-dev (>= 17.12.1~),
+               golang-github-docker-docker-dev (>= 26.1.4+dfsg1-4),
                golang-github-docker-go-units-dev,
                golang-github-google-go-cmp-dev (>= 0.2.0~),
                golang-github-gorilla-mux-dev,
@@ -21,7 +21,7 @@
 
 Package: golang-github-fsouza-go-dockerclient-dev
 Architecture: all
-Depends: golang-github-docker-docker-dev (>= 17.12.1~),
+Depends: golang-github-docker-docker-dev (>= 26.1.4+dfsg1-4),
          golang-github-docker-go-units-dev,
          golang-github-gorilla-mux-dev,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := testing/data

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

## golang-github-fsouza-go-dockerclient 1.12.0

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.12.0-2) unstable; urgency=medium

  * Disable test that will start failing in 2028, Closes: #1078617
  * Add myself to Uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Feb 2025 13:14:33 -0500

golang-github-fsouza-go-dockerclient (1.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.12

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 11 Nov 2024 14:01:40 -0500

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/fsouza/go-dockerclient/tags \
  .*/v?@ANY_VERSION@\.tar\.gz debian

## golang-github-fsouza-go-dockerclient 1.12.1

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.12.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1078617)
    - Drop no longer needed patch to skip test

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 16 Apr 2025 01:34:53 +0000

## golang-github-fsouza-go-dockerclient 1.12.3

=== debian/changelog ===
golang-github-fsouza-go-dockerclient (1.12.3-2) experimental; urgency=medium

  * New upstream release
  * Compile against docker.io 28.5
  * debian/control: Build against golang-github-moby-go-archive-dev
  * fix compilation against newer golang-moby-go-archive-dev
  * gitlab-ci.yml: Use salsa-pipeline
  * lrc.config: Ignore license of license file
  * debian/copyright: small revision

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 08 Feb 2026 06:17:36 -0500

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Standards-Version: 4.7.0
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>,
+           Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-docker-docker-dev (>= 26.1.4+dfsg1-4),
+               golang-github-docker-docker-dev (>= 28.5.2),
                golang-github-docker-go-units-dev,
                golang-github-google-go-cmp-dev (>= 0.2.0~),
                golang-github-gorilla-mux-dev,
+               golang-github-moby-go-archive-dev,
                golang-golang-x-term-dev,
 Homepage: https://github.com/fsouza/go-dockerclient
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-fsouza-go-dockerclient
@@ -21,9 +23,10 @@
 
 Package: golang-github-fsouza-go-dockerclient-dev
 Architecture: all
-Depends: golang-github-docker-docker-dev (>= 26.1.4+dfsg1-4),
+Depends: golang-github-docker-docker-dev (>= 28.5.2),
          golang-github-docker-go-units-dev,
          golang-github-gorilla-mux-dev,
+         golang-github-moby-go-archive-dev,
          ${misc:Depends},
 Description: Docker client library in Go
  Client for the Docker remote API with support for the extensions in the

=== debian/watch ===
Version: 5

Template: Github
Owner: fsouza
Project: go-dockerclient
